List AI agents in a project
curl --request GET \
--url https://app.hookie.ai/admin/api/projects/{project_id}/ai-agents \
--cookie hookie_session=const options = {method: 'GET', headers: {cookie: 'hookie_session='}};
fetch('https://app.hookie.ai/admin/api/projects/{project_id}/ai-agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/admin/api/projects/{project_id}/ai-agents"
headers = {"cookie": "hookie_session="}
response = requests.get(url, headers=headers)
print(response.text){
"ai_agents": [
{
"id": "<string>",
"name": "<string>",
"active": 0,
"model": "<string>",
"system_prompt": "<string>",
"tools": "<string>",
"memory_dataset": "<string>",
"max_tokens": 123,
"created_at": "<string>",
"updated_at": "<string>"
}
]
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}AI agents
List AI agents in a project
GET
/
admin
/
api
/
projects
/
{project_id}
/
ai-agents
List AI agents in a project
curl --request GET \
--url https://app.hookie.ai/admin/api/projects/{project_id}/ai-agents \
--cookie hookie_session=const options = {method: 'GET', headers: {cookie: 'hookie_session='}};
fetch('https://app.hookie.ai/admin/api/projects/{project_id}/ai-agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/admin/api/projects/{project_id}/ai-agents"
headers = {"cookie": "hookie_session="}
response = requests.get(url, headers=headers)
print(response.text){
"ai_agents": [
{
"id": "<string>",
"name": "<string>",
"active": 0,
"model": "<string>",
"system_prompt": "<string>",
"tools": "<string>",
"memory_dataset": "<string>",
"max_tokens": 123,
"created_at": "<string>",
"updated_at": "<string>"
}
]
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}Authorizations
sessionbearerAuth
The console's sealed session cookie, set by WorkOS AuthKit. Mutating requests also require the X-Requested-With CSRF header.
Path Parameters
Response
Agents, newest first. Soft-deleted agents (active = 0) are still listed.
Show child attributes
Show child attributes